#ifndef BUSDELAY_H_
#define BUSDELAY_H_

#include "networks/wiredbas/WiredBasImplementation.h"
#include "quantities/RealDelay.h"
#include "float.h"

namespace cosi {

namespace models {

namespace wiredbas {

class BusDelay {
public:

	BusDelay();

	virtual ~BusDelay();

	virtual RealDelay Get(cosi::commstruct::wiredbas::Implementation pC) = 0 ;

	virtual RealDelay Get(cosi::commstruct::wiredbas::Implementation* pC) = 0 ;

	virtual double GetValue(cosi::commstruct::wiredbas::Implementation pC) = 0 ;

	virtual double GetValue(cosi::commstruct::wiredbas::Implementation* pC) = 0 ;

};

}

}

}

#endif /*BUSDELAY_H_*/
